Summary: NFS Server for WangDAT 2000 SCSI tape drive
Name: wormdat
Version: 1.1
Release: 1
Copyright: none
Group: Utilities/Archiving
Packager: jhpb@sarto.gaithersburg.md.us
Source: wormdat-1.1.tar.gz
BuildRoot: /var/tmp/wormdat-%{PACKAGE_VERSION}-root

%description
Wormdat is an NFS server that provides access to a WangDAT 2000 DAT
tape drive.  All features of the standard UFS filesystem are
supported, including long file names and symlinks.  Also included in
this package are several programs to format, read and write DAT tapes,
and to control operation of the tape drive.

Though developed for a WangDAT 2000 tape drive, the software should
not be hard to port to other SCSI tape drives.

%prep
%setup

%build
make BUILDING_RPM=1 all tests

%install
export BUILDING_RPM=1
rm -rf "$RPM_BUILD_ROOT" &&
mkdir -p "$RPM_BUILD_ROOT" &&
make BUILDING_RPM=1 INSTALL_ROOT="$RPM_BUILD_ROOT" install &&
(
	find "$RPM_BUILD_ROOT" ! -type d ! -type f -printf "/%P\n" &&

	find "$RPM_BUILD_ROOT" -type f -printf "/%P\n" |
		sed '
			s#^.*/load_unload.sh#%config &#
			s#^.*/etc/#%config &#
			s#^.*/man/#%doc &#
		' &&

	find "$RPM_BUILD_ROOT"/usr/local -type d -printf "/usr/local/%P\n" |
		sed 's#^#%dir #'
) |
sed 's#/$##' |
sort >temp.files

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f temp.files
%doc BUGS
%doc COPYRIGHT
%doc DEDICATION
%doc INSTALL
%doc PATCHES/glibc-rpc-header-files.patch
%doc PATCHES/kernel-nfs.patch
%doc PATCHES/mount-2.7f-nfs.patch
%doc PORTING
%doc README
%doc TODO
